/*
 *
 * Реакции
 *
 */


ЗагрузитьРесурсыКолобка= мир =>
{
    мир.сцена.load.image("колобок", "ресурсы/колобок/колобок_неподвижен.png");
};


// // // //


СоздатьПолы = мир =>
{
    мир.полы = мир.сцена.physics.add.staticGroup();
};


// // // //


СоздатьКолобка = мир =>
{
    мир.колобок = мир.сцена.physics.add.sprite(100, 100, "колобок");
    мир.колобок.depth = 10;
};


// // // //


СоздатьСтолкновениеКолобкаСПолами = мир =>
{
    мир.сцена.physics.add.collider(мир.колобок, мир.полы);
};


// // // //


ПереместитьКолобка = мир =>
{
    if (!мир.управление)
    {
        мир.колобок.setVelocityX(0);
        return;
    }

    var x = 0;
    if (мир.управление.направление == -1)
    {
        x = -200;
    }
    else if (мир.управление.направление == 1)
    {
        x = 200;
    }
    мир.колобок.setVelocityX(x);

    if (мир.управление.прыжок && мир.колобок.body.touching.down)
    {
        мир.колобок.setVelocityY(-500);
    }
};


/*
 *
 * Последовательность
 *
 */


мир.разобрать(`
загрузить ресурсы сцены
    загрузить ресурсы колобка
создать сцену
    создать полы
    создать колобка
    создать столкновение колобка с полами
изменили управление
    переместить колобка
`);

